# KSPSolveTranspose

Solves the transpose of a linear system. Usually accessed through KSPSolveTranspose().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPSolveTranspose(KSP ksp,Vec b,Vec x)

Collective on KSP

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()
| b | - right hand side vector
| x | - solution vector

### Note

Currently only supported by KSPType of KSPPREONLY. This routine is usally only used internally by the BiCG solver on the subblocks in BJacobi and ASM.

### Keywords

KSP, solve, linear system

### See Also

KSPCreate(), KSPSetUp(), KSPDestroy(), KSPSetTolerances(), KSPDefaultConverged(),
KSPSolve()

Level:developer
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex24.c.html